Subject: Re: [PATCH] config: read system-wide defaults from /etc/gitconfig

From: Andy Parkins <[email-masked]>
Date: Thu, 15 Feb 2007 10:19:24 +0000

On Wednesday 2007 February 14 16:30, Junio C Hamano wrote:

> Site-wide configuration for options that are potentially
> compatibility-breaking is a bad idea on a multi-user machines,
> and it was certainly the case back when our machines hosted many
> diverse set of people.

Isn't it more likely that on a multi-user machine all users are sharing one 
install of git - in which case you do want the upgrade of facilities to be 
system-wide.  Otherwise you have to tell every user to edit their .gitconfig 
to enable the new facilities - users shouldn't have to care about that sort 
of thing, that's what admins are for.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIEE
[email-masked]